package com.liang.service;

import com.liang.entity.PrjContacts;
import com.liang.entity.PrjDivisioncompany;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;

/**
 * (PrjContacts)表服务接口
 *
 * @author makejava
 * @since 2023-04-11 15:04:32
 */
public interface PrjContactsService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    PrjContacts queryById(Integer id);

    /**
     * 分页查询
     *
     * @param prjContacts 筛选条件
     * @param pageRequest 分页对象
     * @return 查询结果
     */
    Page<PrjContacts> queryByPage(PrjContacts prjContacts, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param prjContacts 实例对象
     * @return 实例对象
     */
    int insert(PrjContacts prjContacts);

    /**
     * 修改数据
     *
     * @param prjContacts 实例对象
     * @return 实例对象
     */
    int update(PrjContacts prjContacts);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 根据项目获取联系方式
     *
     * @param xm
     * @return
     */
    List<PrjContacts> getContactList(Integer xm);

    /**
     * 批量删除联系方式
     *
     * @param idList
     * @return
     */
    int batchDelete(List<Integer> idList);
}
